Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class RepositoryConfiguration.QuerySystem

    java.lang.Object
      org.modeshape.jcr.RepositoryConfiguration.QuerySystem

Enclosing class:
  RepositoryConfiguration

    @Immutable
    public class RepositoryConfiguration.QuerySystem

extends Object

The query-related configuration information.

Constructor Summary
`protected` | `RepositoryConfiguration.QuerySystem(Document query)`

Method Summary
`boolean` | `enabled()` Determine whether queries are enabled.
`Properties` | `getIndexingBackendProperties()` Get the configuration properties for the indexing backend.
`Properties` | `getIndexingProperties()` Get the configuration properties for the indexing section.
`Properties` | `getIndexStorageProperties()` Get the configuration properties for the storage of indexes.
`RepositoryConfiguration.QueryRebuild` | `getRebuildIndexesUponStartup()` Get the specification for when the indexes should be built when the system starts up.
`List<RepositoryConfiguration.Component>` | `getTextExtractors()` Get the ordered list of text extractors.
`String` | `getThreadPoolName()` Get the name of the thread pool that should be used for indexing work.
`protected void` | `setDefProp(Properties props, String name, String defaultValue)`
`protected void` | `validateTextExtractors(Problems problems)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryConfiguration.QuerySystem

    protected RepositoryConfiguration.QuerySystem(Document query)

Method Detail

### enabled

    public boolean enabled()

  Determine whether queries are enabled. The default is to enable queries, but this can be used to turn off support for queries and improve performance.

  Returns:
    true if queries are enabled, or false if they are disabled

### getRebuildIndexesUponStartup

    public RepositoryConfiguration.QueryRebuild getRebuildIndexesUponStartup()

  Get the specification for when the indexes should be built when the system starts up.

  Returns:
    whether to rebuild the indexes upon repository startup

### getThreadPoolName

    public String getThreadPoolName()

  Get the name of the thread pool that should be used for indexing work.

  Returns:
    the thread pool name; never null

### getIndexStorageProperties

    public Properties getIndexStorageProperties()

  Get the configuration properties for the storage of indexes. The values of the properties will consist of string values.

  Returns:
    the configuration properties; never null

### getIndexingProperties

    public Properties getIndexingProperties()

  Get the configuration properties for the indexing section. The values of the properties will consist of string values, and they may contain properties of the form "hibernate.search.*".

  Returns:
    the configuration properties; never null

### getIndexingBackendProperties

    public Properties getIndexingBackendProperties()

  Get the configuration properties for the indexing backend. The values of the properties will consist of string values.

  Returns:
    the configuration properties; never null

### getTextExtractors

    public List<RepositoryConfiguration.Component> getTextExtractors()

  Get the ordered list of text extractors. All text extractors are configured with this list.

  Returns:
    the immutable list of text extractors; never null but possibly empty

### validateTextExtractors

    protected void validateTextExtractors(Problems problems)

### setDefProp

    protected void setDefProp(Properties props,
                              String name,
                              String defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.